Retrieve an item collection

Retrieves the details of a specific item collection.

Authentication

x-api-keystring
Your API key. <Note title="Note"> You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page. </Note>

Path parameters

knowledge_store_idstringRequired
The unique identifier of the knowledge store.
collection_idstringRequired
The unique identifier of the knowledge store item collection.

Response

The item collection has been successfully retrieved.
_idstringOptional
The unique identifier of the item collection.
knowledge_store_idstringOptional
The unique identifier of the knowledge store this collection belongs to.
namestringOptional
The name of the item collection.
descriptionstringOptional
The description of the item collection.
metadatamap from strings to stringsOptional
Custom metadata for the item collection.
member_countintegerOptionalRead-only
The number of items in the collection.
created_atstringOptionalformat: "date-time"
The date and time when the item collection was created, in the RFC 3339 format.
updated_atstringOptionalformat: "date-time"
The date and time when the item collection was last updated, in the RFC 3339 format.

Errors

400
Bad Request Error